# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
services:
  # default configuration for services in *this* file
  _defaults:
    autowire: true

  App\LifetimeHook\Upgrade\UpgradeTo550build0:
    tags:
      - {name: xcart.lifetime-hook, type: upgrade, method: onUpgrade, version: 5.5.0.0}

  App\LifetimeHook\Upgrade\UpgradeTo550build2:
    tags:
      - {name: xcart.lifetime-hook, type: upgrade, method: onUpgrade, version: 5.5.0.2}

  App\LifetimeHook\Upgrade\UpgradeTo550build3:
    tags:
      - {name: xcart.lifetime-hook, type: upgrade, method: onUpgrade, version: 5.5.0.3}

  App\LifetimeHook\Upgrade\UpgradeTo550build6:
    tags:
      - {name: xcart.lifetime-hook, type: upgrade, method: onUpgrade, version: 5.5.0.6}

  App\LifetimeHook\Upgrade\UpgradeTo550build13:
    tags:
      - {name: xcart.lifetime-hook, type: upgrade, method: onUpgrade, version: 5.5.0.13}

  App\LifetimeHook\Upgrade\UpgradeTo550build15:
    tags:
      - {name: xcart.lifetime-hook, type: upgrade, method: onUpgrade, version: 5.5.0.15}
